This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1314564 - Scale the EFK pods when changes are made [NEEDINFO]
Scale the EFK pods when changes are made
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Vikram Goyal
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 17:58 EST by Eric Jones
Modified: 2017-08-22 18:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
OpenShift Enterprise 3.1.1.6
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
erich: needinfo? (erjones)


Attachments (Terms of Use)

  None (edit)
Description Eric Jones 2016-03-03 17:58:09 EST
Document URL: 
https://access.redhat.com/documentation/en/openshift-enterprise/version-3.1/installation-and-configuration/#post-deployment-configuration

Section Number and Name: 
17.4. POST-DEPLOYMENT CONFIGURATION

Describe the issue: 
After working with some of the engineers for the EFK stack, it became apparent that when you make changes to any part of the EFK stack (specifically the FluentD or ElasticSearch) you should scale both of these down to zero, make the changes, and then scale them back up to the appropriate numbers, trying to scale FluentD not too long after scaling ElasticSearch.

Suggestions for improvement: 
Make a note about this so that anytime changes are made, the appropriate actions are taken.

Additional information: 
You can do this by running `oc scale --replicas=0 dc/<ELASTICSEARCH_DC> dc/<FLUENTD_DC> ` and then, after you have made the change (like attach a PVC) you can scale them back up using `oc scale --replicas=# dc/<ELASTICSEARCH_DC>` and `oc scale --replicas=# dc/<FLUENTD_DC>`

Note You need to log in before you can comment on or make changes to this bug.